export declare abstract class SharepointListItem {
    ID: number;
    title?: string;
    constructor(rawResponse?: any);
    protected findString(searchTerm: string, myArray: any): string;
    abstract getSiteUrl(): string;
    abstract getListName(): string;
    abstract getFieldToUpdate(): string;
    getItemProperties(): string[];
    toBoolean(aString: string): void;
    toInteger(aString: string): void;
    static buildRawResponseArray(id: number, keyValuePairs: [string, string][]): any[];
}
