import 'rxjs/add/operator/toPromise';
import { HttpClient } from '@angular/common/http';
import { SharepointListItem } from './sharepoint-list-item';
import { SharepointListItemConstructor } from './sharepoint-list-item-constructor';
export declare class SharepointListsWebService {
    private http;
    constructor(http: HttpClient);
    private serviceUrl;
    private xmlPayloadWrapperStart;
    private xmlPayloadWrapperEnd;
    private getListItemsPayload;
    private updateListItemsPayload;
    private headers;
    getListItems(ctor: SharepointListItemConstructor, filterQuery: [string, string], camlQuery: string, orderByField: string): Promise<SharepointListItem[]>;
    updateListItem(itemToUpdate: SharepointListItem, newValue: string): Promise<void>;
    private handleError(error);
    addOrUpdateListItem(itemToUpdate: SharepointListItem, keyValuePairs: [string, string][]): Promise<number>;
    removeListItems(itemsToRemove: SharepointListItem[]): Promise<string[]>;
    addOrUpdateListItems(itemsToAddOrUpdate: SharepointListItem[]): Promise<[SharepointListItem, string][]>;
}
