import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { SharePointUserProfile } from './sharepoint-user-profile';
export declare class SharePointUserProfileWebService {
    private http;
    constructor(http: HttpClient);
    private serviceUrl;
    private xmlPayloadWrapperStart;
    private xmlPayloadWrapperEnd;
    private getUserProfileByNamePayload;
    private headers;
    getUserProfileByName(accountName?: string): Promise<SharePointUserProfile>;
    private handleError(error);
}
