import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { TaxSpUser } from './tax-sp-user';
export declare class SharepointUserGroupWebService {
    private http;
    constructor(http: HttpClient);
    private serviceUrl;
    private xmlPayloadWrapperStart;
    private xmlPayloadWrapperEnd;
    private headers;
    private getUserLoginFromEmailPayload;
    private addUserCollectionToGroupPayload;
    private removeUserCollectionFromGroupPayload;
    private getUserCollectionFromGroupPayload;
    getUserLoginFromEmail(emailStrings: string[], siteurl: string): Promise<TaxSpUser[]>;
    addUserCollectionToGroup(users: TaxSpUser[], groupName: string, siteurl: string): Promise<number>;
    removeUserCollectionFromGroup(users: TaxSpUser[], groupName: string, siteurl: string): Promise<number>;
    getUserCollectionFromGroup(groupName: string, siteUrl: string): Promise<TaxSpUser[]>;
    private handleError(error);
}
